Name:    buildbox
Version: 1.2.12
Release: %autorelease
Summary: Building blocks to execute actions conforming to the Remote Execution API

License: Apache-2.0
URL:     https://buildgrid.gitlab.io/buildbox/buildbox-home/
Source0: https://gitlab.com/BuildGrid/buildbox/buildbox/-/archive/%{version}/buildbox-%{version}.tar.bz2

BuildRequires: attr
BuildRequires: c-ares-devel
BuildRequires: cmake
BuildRequires: fuse3
BuildRequires: fuse3-devel
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: glog-devel
BuildRequires: gmock-devel
BuildRequires: google-benchmark-devel
BuildRequires: grpc-devel
BuildRequires: gtest-devel
buildRequires: json-devel
BuildRequires: libuuid-devel
BuildRequires: openssl-devel
BuildRequires: net-tools
BuildRequires: ninja-build
BuildRequires: protobuf-devel
BuildRequires: tomlplusplus-devel

Requires: bubblewrap

%description
buildbox provides a set of building blocks to execute actions conforming to the
Remote Execution API, also supporting the Remote Worker API.

%prep
%autosetup

%build
%cmake -DCMAKE_CXX_FLAGS="%{optflags} -Wno-format-security"
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%{_bindir}/buildbox-casd
%{_bindir}/buildbox-fuse
%{_bindir}/buildbox-run-bubblewrap
%{_bindir}/buildbox-run-hosttools
%{_bindir}/buildbox-run-oci
%{_bindir}/buildbox-run-userchroot
%{_bindir}/buildbox-worker
%{_bindir}/casdownload
%{_bindir}/casupload
%{_bindir}/logstreamreceiver
%{_bindir}/logstreamtail
%{_bindir}/outputstreamer
%{_bindir}/recc
%{_bindir}/rexplorer
%{_bindir}/rumba
%{_bindir}/rumbad
%{_bindir}/trexe

%changelog
%autochangelog
